import os

class FileExtensionError(Exception):
    def __init__(self, text):
        self.text = text

    def __str__(self):
        return self.text

class AerF:
    def __init__(self):
        self.connected = False
        self.info = False

    def connect(self, file):
        head, tail = os.path.split(file)
        filename, file_extension = os.path.splitext(tail)

        if file_extension != ".aer":
            raise FileExtensionError("File extension must be .aer")

        if head != "":
            filelist = os.listdir(head)

            if tail in filelist:
                if self.info:
                    print(f"Connected to \"{tail}\" in \"{head}/\"")

                self.connected = True
                self.connected_file = f"{head}/{tail}"
            else:
                if self.info:
                    print(f"\"{tail}\" succesfully created in \"{head}/\"")
                    print(f"Connected to \"{tail}\" in \"{head}/\"")

                self.connected = True
                self.connected_file = f"{head}/{tail}"
                write = open(self.connected_file, "w")
                write.close()
        else:
            filelist = os.listdir()

            if tail in filelist:
                if self.info:
                    print(f"Connected to \"{tail}\" in current directory")

                self.connected = True
                self.connected_file = tail
            else:
                if self.info:
                    print(f"\"{tail}\" is succesfully created in current directory")
                    print(f"Connected to \"{tail}\" in current directory")

                self.connected = True
                self.connected_file = tail
                write = open(self.connected_file, "w")
                write.close()

    def write(self, content):
        if self.connected:
            file = open(self.connected_file, "w")
            file.write(content)
            file.close()

            if self.info:
                print(f"Successfully writed \"{content}\" to \"{self.connected_file}\"")

    def append(self, content):
        if self.connected:
            file = open(self.connected_file, "a")
            file.write(content)
            file.close()

            if self.info:
                print(f"Successfully writed \"{content}\" to \"{self.connected_file}\"")

    def read(self):
        if self.connected:
            file = open(self.connected_file, "r")

            if self.info:
                print(f"Successfully readed \"{file.read()}\" from \"{self.connected_file}\"")

            return file.read()

    def readlines(self):
        if self.connected:
            file = open(self.connected_file, "r")

            if self.info:
                print(f"Successfully readed \"{len(file.readlines())}\" lines from \"{self.connected_file}\"")

            return file.readlines()

    def delete(self):
        if self.connected:
            os.remove(self.connected_file)

            if self.info:
                print(f"Successfully deleted \"{self.connected_file}\"")

            self.connected_file = ""
            self.connected = False

    def disconnect(self):
        if self.connected:

            if self.info:
                print(f"Successfully disconnected from \"{self.connected_file}\"")

            self.connected_file = ""
            self.connected = False

if __name__ == "__main__":
    pass